Package org.apache.uima.cas.admin

# Class CASAdminException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.uima.UIMARuntimeException
org.apache.uima.cas.admin.CASAdminException

All Implemented Interfaces:
  `Serializable`, `I18nExceptionI`

public class CASAdminException extends UIMARuntimeException

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BAD_FEATURE_SYNTAX`
  Invalid feature name "{0}".
  `static final String`
  `BAD_TYPE_SYNTAX`
  Invalid type name "{0}".
  `static final String`
  `DESERIALIZATION_ERROR`
  Error deserializing type system.
  `static final String`
  `DUPLICATE_FEATURE`
  Trying to define feature "{0}" on type "{1}" with range "{2}", but feature has already been defined on (super)type "{3}" with range "{4}".
  `static final String`
  `DUPLICATE_TYPE`
  Trying to define type "{0}", but this type has already been defined as "{1}".
  `static final String`
  `FLUSH_DISABLED`
  Can't flush CAS, flushing is disabled.
  `static final String`
  `INDEX_DUPLICATES_NOT_SUPPORTED`
  uima.allow_duplicate_add_to_indexes is not supported in UIMA Version 3 and later
  `static final String`
  `JCAS_ERROR`
  {0}
  `static final String`
  `MISSING_ARRAY_TYPE_FOR_COMPONENT`
  Tried to obtain a UIMA Array type for component "{0}", but no such array type is defined.
  `static final String`
  `MUST_COMMIT_INDEX_REPOSITORY`
  Index repository has not been committed; can't create CAS.
  `static final String`
  `MUST_COMMIT_TYPE_SYSTEM`
  Type system has not been committed; can't create index repository.
  `static final String`
  `REPOSITORY_LOCKED`
  Can't add index to a committed repository.
  `static final String`
  `STRING_SUBTYPE_CONFLICTING_ALLOWED_VALUES`
  Can't define a Subtype of String "{0}" with allowed Values "{1}", has the same name as an existing String Subtype with different allowed values "{2}".
  `static final String`
  `STRING_SUBTYPE_REDEFINE_NAME_CONFLICT`
  Can't define a Subtype of String "{0}" with the same name as an existing non String Subtype "{1}".
  `static final String`
  `TOO_MANY_TYPES`
  Total number of UIMA types, {0}, exceeds the maximum of 32767.
  `static final String`
  `TYPE_IS_FEATURE_FINAL`
  Can't add feature to type "{0}" since it is feature final.
  `static final String`
  `TYPE_IS_INH_FINAL`
  Can't derive from type "{0}" since it is inheritance final.
  `static final String`
  `TYPE_SYSTEM_LOCKED`
  Type system is committed; can't add types or features.

  ### Fields inherited from class org.apache.uima.UIMARuntimeException

  `CAS_RELEASE_NOT_ALLOWED_WHILE_WAITING_FOR_UIMA_AS, CAS_RELEASED_TO_WRONG_CAS_MANAGER, COPY_CAS_RANGE_TYPE_NAMES_NOT_EQUAL, DEFINE_CAS_POOL_CALLED_TWICE, ECORE_UNRESOLVED_PROXY, FEATURE_NOT_FOUND_DURING_CAS_COPY, ILLEGAL_ADDING_OF_NEW_META_INFO_AFTER_CAS_DEFINED, ILLEGAL_CAS_COPY_TO_SAME_CAS, ILLEGAL_FS_FEAT_UPDATE, INCOMPATIBLE_TAF_JNI_LIBRARY, INTERNAL_ERROR, NOT_SUPPORTED_NO_HEAP_IN_UIMA_V3, REQUESTED_TOO_MANY_CAS_INSTANCES, RESULT_SPEC_NULL, STANDARD_MESSAGE_CATALOG, TYPE_NOT_FOUND_DURING_CAS_COPY, UIMA_CONTEXT_NULL, UIMA_ECORE_NOT_FOUND, UNSUPPORTED_CAS_COPY_TO_OR_FROM_BASE_CAS, UNSUPPORTED_CAS_INTERFACE, VIEW_NOT_PART_OF_CAS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CASAdminException(String aMessageKey, Object... aArguments)`
  `CASAdminException(String aResourceBundleName, Throwable aCause, String aMessageKey, Object... aArguments)`
  `CASAdminException(Throwable aCause, String aMessageKey, Object... aArguments)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getResourceBundleName()`
  Gets the base name of the resource bundle in which the message for this exception is located.

  ### Methods inherited from class org.apache.uima.UIMARuntimeException

  `getArguments, getCause, getLocalizedMessage, getMessage, getMessageKey, initCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.I18nExceptionI

  `getLocalizedMessage, hasMessageKey`

- ## Field Details

  - ### REPOSITORY_LOCKED

    public static final String REPOSITORY_LOCKED
    Can't add index to a committed repository.
    See Also:
      - Constant Field Values

  - ### TYPE_SYSTEM_LOCKED

    public static final String TYPE_SYSTEM_LOCKED
    Type system is committed; can't add types or features.
    See Also:
      - Constant Field Values

  - ### MUST_COMMIT_TYPE_SYSTEM

    public static final String MUST_COMMIT_TYPE_SYSTEM
    Type system has not been committed; can't create index repository.
    See Also:
      - Constant Field Values

  - ### MUST_COMMIT_INDEX_REPOSITORY

    public static final String MUST_COMMIT_INDEX_REPOSITORY
    Index repository has not been committed; can't create CAS.
    See Also:
      - Constant Field Values

  - ### BAD_TYPE_SYNTAX

    public static final String BAD_TYPE_SYNTAX
    Invalid type name "{0}". Type names must start with a letter and consist only of letters, digits, or underscores.
    See Also:
      - Constant Field Values

  - ### BAD_FEATURE_SYNTAX

    public static final String BAD_FEATURE_SYNTAX
    Invalid feature name "{0}". Feature names must start with a letter and consist only of letters, digits, or underscores.
    See Also:
      - Constant Field Values

  - ### TYPE_IS_INH_FINAL

    public static final String TYPE_IS_INH_FINAL
    Can't derive from type "{0}" since it is inheritance final.
    See Also:
      - Constant Field Values

  - ### TYPE_IS_FEATURE_FINAL

    public static final String TYPE_IS_FEATURE_FINAL
    Can't add feature to type "{0}" since it is feature final.
    See Also:
      - Constant Field Values

  - ### DESERIALIZATION_ERROR

    public static final String DESERIALIZATION_ERROR
    Error deserializing type system.
    See Also:
      - Constant Field Values

  - ### FLUSH_DISABLED

    public static final String FLUSH_DISABLED
    Can't flush CAS, flushing is disabled.
    See Also:
      - Constant Field Values

  - ### JCAS_ERROR

    public static final String JCAS_ERROR
    {0}
    See Also:
      - Constant Field Values

  - ### DUPLICATE_FEATURE

    public static final String DUPLICATE_FEATURE
    Trying to define feature "{0}" on type "{1}" with range "{2}", but feature has already been defined on (super)type "{3}" with range "{4}".
    See Also:
      - Constant Field Values

  - ### DUPLICATE_TYPE

    public static final String DUPLICATE_TYPE
    Trying to define type "{0}", but this type has already been defined as "{1}".
    See Also:
      - Constant Field Values

  - ### MISSING_ARRAY_TYPE_FOR_COMPONENT

    public static final String MISSING_ARRAY_TYPE_FOR_COMPONENT
    Tried to obtain a UIMA Array type for component "{0}", but no such array type is defined.
    See Also:
      - Constant Field Values

  - ### STRING_SUBTYPE_REDEFINE_NAME_CONFLICT

    public static final String STRING_SUBTYPE_REDEFINE_NAME_CONFLICT
    Can't define a Subtype of String "{0}" with the same name as an existing non String Subtype "{1}".
    See Also:
      - Constant Field Values

  - ### STRING_SUBTYPE_CONFLICTING_ALLOWED_VALUES

    public static final String STRING_SUBTYPE_CONFLICTING_ALLOWED_VALUES
    Can't define a Subtype of String "{0}" with allowed Values "{1}", has the same name as an existing String Subtype with different allowed values "{2}".
    See Also:
      - Constant Field Values

  - ### INDEX_DUPLICATES_NOT_SUPPORTED

    public static final String INDEX_DUPLICATES_NOT_SUPPORTED
    uima.allow_duplicate_add_to_indexes is not supported in UIMA Version 3 and later
    See Also:
      - Constant Field Values

  - ### TOO_MANY_TYPES

    public static final String TOO_MANY_TYPES
    Total number of UIMA types, {0}, exceeds the maximum of 32767.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CASAdminException

    public CASAdminException(String aResourceBundleName, Throwable aCause, String aMessageKey, Object... aArguments)

  - ### CASAdminException

    public CASAdminException(String aMessageKey, Object... aArguments)

  - ### CASAdminException

    public CASAdminException(Throwable aCause, String aMessageKey, Object... aArguments)

- ## Method Details

  - ### getResourceBundleName

    public String getResourceBundleName()
    Description copied from class: `UIMARuntimeException`
    Gets the base name of the resource bundle in which the message for this exception is located.
    Specified by:
      `getResourceBundleName` in interface `I18nExceptionI`
    Overrides:
      `getResourceBundleName` in class `UIMARuntimeException`
    Returns:
      the resource bundle base name. May return `null` if this exception has no message.